<!--
  ~ iparapheur Web
  ~ Copyright (C) 2019-2025 Libriciel SCOP
  ~
  ~ This program is free software: you can redistribute it and/or modify
  ~ it under the terms of the GNU Affero General Public License as published by
  ~ the Free Software Foundation, either version 3 of the License, or
  ~ (at your option) any later version.
  ~
  ~ This program is distributed in the hope that it will be useful,
  ~ but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  ~ GNU Affero General Public License for more details.
  ~
  ~ You should have received a copy of the GNU Affero General Public License
  ~ along with this program. If not, see <http://www.gnu.org/licenses/>.
  -->

<form
  [formGroup]="generalForm"
  class="col-6 ls-form"
  novalidate>

  <div
    *ngIf="editMode && userPreferences.showAdminIds"
    class="form-group">
    <label
      for="idInput"
      [innerText]="commonMessages.ID">
    </label>
    <input
      id="idInput"
      name="idInput"
      [(ngModel)]="layer.id"
      type="text"
      class="form-control"
      formControlName="idControl">
  </div>

  <div class="form-group required">
    <label
      class="w-100 required d-flex justify-content-between"
      for="nameInput">
      <span [innerText]="commonMessages.NAME"></span>
      <span
        class="ls-info-label fw-normal"
        [innerText]="commonMessages.getMinDescriptionLabelInfo(2)">
      </span>
    </label>
    <input
      id="nameInput"
      name="nameInput"
      [(ngModel)]="layer.name"
      type="text"
      class="form-control"
      autofocus="true"
      formControlName="nameControl"
      required>
  </div>

</form>
